#!/usr/bin/python

import commands
import sys
import getopt
import os

def CheckCurrentStatus():
	cmd="/usr/bin/systemctl is-enabled novell-shadowfs"
	status, output=commands.getstatusoutput(cmd) 
	if (output == 'disabled'):
		return 2
	else:
		if (output == 'enabled'):
			return 3 
		else:
			return 0

def IsShadowFSLoaded():
	cmd = "/usr/bin/systemctl status novell-shadowfs"
	output=commands.getoutput(cmd)
	if 'active (running)' in output:
		return 1
	else:
		return 0

def DoNotAutoloadShadowFS(): 
	currentStatus = CheckCurrentStatus()
	if (currentStatus == 2):
		print "shadowfs is currently not loading at boot time"
		return 0
	cmd = "/usr/bin/systemctl disable novell-shadowfs"
	status, output=commands.getstatusoutput(cmd) 
	shadowLoaded = IsShadowFSLoaded()
	if (shadowLoaded == 1):
		print "shadowfs is running. It will be stopped"
		cmd = "/usr/bin/systemctl stop novell-shadowfs"
		status = os.system(cmd)
	return status 

def AutoloadShadowFS():
	currentStatus = CheckCurrentStatus()
	if (currentStatus == 3):
		print "shadowfs is currently loading at boot time"
		return 0
	cmd = "/usr/bin/systemctl enable novell-shadowfs"
	status, output=commands.getstatusoutput(cmd) 
	shadowLoaded = IsShadowFSLoaded()
	if (shadowLoaded == 0):
		print "shadowfs is not running. It will be started"
		cmd = "/usr/bin/systemctl start novell-shadowfs"
		status = os.system(cmd)
	return status 

def main(argv=None):
	if (argv is None):
		argv = sys.argv		
	for arg in argv:
		if arg == 'check':
			return CheckCurrentStatus()
		else:
			if arg == 'autoLoadOn':
				return AutoloadShadowFS()		
			else:
				if arg == 'autoLoadOff':
					return DoNotAutoloadShadowFS()		

if __name__ == "__main__":
	sys.exit(main())

